<!-- 会员机构管理-机构管理-机构资料管理-注销 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :refresh="refresh" :loading="loading">
        <div class="g-text-message">确认注销该机构？</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { organDetailLogout } from '@/services/api/member'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Model.OrganDetailListRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    organDetailLogout({
        data: {
            userid: props.record.userid
        }
    }).then(() => {
        ElMessage.success('注销成功')
        onCancel(true)
    }).catch((err) => {
        ElMessage.error('注销失败：' + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>